import React, { FC } from 'react';
import { useTranslations } from 'next-intl';

type HeaderAuthLinksProps = {
    separatorClass?: string;
};

export const HeaderAuthLinks: FC<HeaderAuthLinksProps> = ({ separatorClass = 'b-header__nav__list__line' }) => {
    const t = useTranslations('Header');

    return (
        <>
            <li>
                <a href="#">{t('registration')}</a>
            </li>
            <li>
                <span className={separatorClass}>|</span>
            </li>
            <li>
                <a href="#">{t('enter')}</a>
            </li>
        </>
    );
}
